extends GameBall
## The plasma ball sticks to the first surface it hits

@onready var manual_sleep_timer: Timer = %ManualSleepTimer


func _on_body_entered(_body: Node) -> void:
	print_debug("Plasma ball stuck to ", _body)
	# Freeze physics as soon as we hit something
	freeze = true
	manual_sleep_timer.start()


func _fire_sleep_signal() -> void:
	sleeping = true
	sleeping_state_changed.emit()
